<div id="games-library-container" >
    <div [ngStyle]="getGridStyle()">
        <app-games-library-item *ngFor="let game of games" class="game-library-item" [game]="game"></app-games-library-item>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        <div class="game-library-item" [ngStyle]="getIconStyle()"></div>
        
    </div>
</div>